org.springframework.cloud.dataflow.completion

## Class EnumValueHintProvider

- java.lang.Object
- - org.springframework.cloud.dataflow.completion.EnumValueHintProvider

- All Implemented Interfaces:
    ValueHintProvider

      public class EnumValueHintProvider
      extends Object
      implements ValueHintProvider

  A `ValueHintProvider` that returns possible values when the property is an `Enum`.
  Author:
    Eric Bottard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumValueHintProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.boot.configurationmetadata.ValueHint>` | `generateValueHints(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property, ClassLoader classLoader)` For a given property, return a list of `ValueHint` that may apply.
    `boolean` | `isExclusive(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property)` Return `true` if the values returned by this provider are the only values that apply as completion proposals.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumValueHintProvider

          public EnumValueHintProvider()

  - ### Method Detail

    - #### generateValueHints

          public List<org.springframework.boot.configurationmetadata.ValueHint> generateValueHints(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property,
                                                                                                   ClassLoader classLoader)

      Description copied from interface: `ValueHintProvider`
      For a given property, return a list of `ValueHint` that may apply.
      Specified by:
        `generateValueHints` in interface `ValueHintProvider`
      Parameters:
        `property` - property for which to generate value hints
        `classLoader` - class loader for the artifact/module that this property applies to; this may be used to load other classes/resources for generating value hints
      Returns:
        list of value hints for the provided property

    - #### isExclusive

          public boolean isExclusive(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property)

      Description copied from interface: `ValueHintProvider`
      Return `true` if the values returned by this provider are the only values that apply as completion proposals. If this returns `true`, then no other kind of completion applies until one of the returned values has been typed in full.
      Specified by:
        `isExclusive` in interface `ValueHintProvider`
      Parameters:
        `property` - property for which to determine if the values returned by this provider are exclusive
      Returns:
        `true` if the values returned by this provider are exclusive, thus requiring one of these values to be provided before any other `ValueHintProvider` may be applied

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.